window.addEventListener("DOMContentLoaded", () => { // DOM just loaded...
    window.console.assert(window.document.readyState !== 'loading');

    const FB: HTMLImageElement = window.document.getElementById("FB") as HTMLImageElement;

    let angle = 10;
    const interval_id = window.setInterval(() => {
        FB.style.transform = "rotate(" + angle + "deg)";
        angle = -angle;
        window.navigator.vibrate(50);
    }, 100);

    FB.addEventListener('click', () => {
        window.clearInterval(interval_id);
        window.document.getElementById("Feel_it_")!.innerHTML = "Vibration just stops...";
    });
});
